package com.redhat.thermostat.tools.eclipse.plugin;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.ProjectScope;
import org.osgi.service.prefs.BackingStoreException;
import org.osgi.service.prefs.Preferences;

public class ProjectPreferences {

    /** A boolean tag to indicate the root/parent project */
    public static final String PLUGIN_PROJECT = "pluginProject";

    /** A boolean tag to indicate the project containing the {@code thermostat-plugin.xml} file*/
    public static final String PLUGIN_DISTRIBUTION_PROJECT = "pluginDistributionProject";

    /** The last thermostat install location that plugin was installed to */
    public static final String THERMOSTAT_LOCATION = "thermostatLocation";

    private Preferences node;

    public ProjectPreferences(IProject project) {
        ProjectScope scope = new ProjectScope(project);
        Preferences node = scope.getNode(Activator.PLUGIN_ID);
        if (node == null) {
            throw new AssertionError("Null prefs node not implemented");
        }
        this.node = node;
    }

    public void add(String key, String value) {
        node.put(key, value);
    }

    public String get(String key) {
        return node.get(key, null);
    }

    public void flush() throws BackingStoreException {
        node.flush();
    }

}
